Loading...
Searching...
No Matches
pqxx::range_bound< TYPE > Class Template Reference

A range boundary value. More...

## Public Member Functions

constexpr | range_bound (no_bound) noexcept
constexpr | range_bound (inclusive_bound< TYPE > const &bound) noexcept(noexcept(inclusive_bound< TYPE >{bound}))
constexpr | range_bound (exclusive_bound< TYPE > const &bound) noexcept(noexcept(exclusive_bound{bound}))
constexpr | range_bound (range_bound const &) noexcept(noexcept(inclusive_bound< TYPE >{ std::declval< inclusive_bound< TYPE > const & >()}) and noexcept(exclusive_bound< TYPE >{ std::declval< exclusive_bound< TYPE > const & >()}))=default
constexpr | range_bound (range_bound &&)=default
constexpr bool | operator== (range_bound const &rhs) const noexcept(noexcept(*this->value()== *rhs.value()))
constexpr bool | operator!= (range_bound const &rhs) const noexcept(noexcept(*this==rhs))
range_bound & | operator= (range_bound const &)=default
range_bound & | operator= (range_bound &&)=default
constexpr bool | is_limited () const noexcept
| Is this a finite bound?
constexpr bool | is_inclusive () const noexcept
| Is this boundary an inclusive one?
constexpr bool | is_exclusive () const noexcept
| Is this boundary an exclusive one?
constexpr bool | extends_down_to (TYPE const &value) const
| Would this bound, as a lower bound, include value?
constexpr bool | extends_up_to (TYPE const &value) const
| Would this bound, as an upper bound, include value?
constexpr TYPE const * | value () const &noexcept
| Return bound value, or nullptr if it's not limited.

## Detailed Description

template<typename TYPE>
class pqxx::range_bound< TYPE >

A range boundary value.

A range bound is either no bound at all; or an inclusive bound; or an exclusive bound. Pass one of the three to the constructor.

The documentation for this class was generated from the following file:

- /build/libpqxx-hcWu4i/libpqxx-7.10.0/include/pqxx/range.hxx